﻿//Get a window name for the popup test
var windowName = 'popuptest';

//declare the popUp window and optional popup test disabled vars
var popUp, popuptest_disabled;

/*
Set cookie to show that this has been checked.
*/
function setCookie(c_name, value, exdays) {
    var exdate = new Date();
    exdate.setDate(exdate.getDate() + exdays);
    var c_value = escape(value) + ((exdays == null) ? "" : "; expires=" + exdate.toUTCString());
    document.cookie = c_name + "=" + c_value;
}

function getCookie(c_name) {
    var i, x, y, ARRcookies = document.cookie.split(";");
    for (i = 0; i < ARRcookies.length; i++) {
        x = ARRcookies[i].substr(0, ARRcookies[i].indexOf("="));
        y = ARRcookies[i].substr(ARRcookies[i].indexOf("=") + 1);
        x = x.replace(/^\s+|\s+$/g, "");
        if (x == c_name) {
            return unescape(y);
        }
    }
}

function checkCookie() {
    var result = false;
    var popupck = getCookie("popup");
    if (popupck != undefined && popupck != null && popupck != "notblocked") {
        result = true;
    }
    else {
        result = false;
    }
    return result;
}

//If the popuptest_disabled var is not defined then run the test.
//This will always run when the page loads unless you set the var in code
if (!exists(popuptest_disabled)) {
    if (!checkCookie()) {
        //run the window.open call and save the handle to the popUp var
        popUp = window.open('/popup-test.htm', windowName, 'width=100, height=100, left=24, top=24, scrollbars, resizable');
        //Do the check for popup blockers
        checkPopupBlocked(popUp);
    }
}

function checkPopupBlocked(poppedWindow) {
    var returnValue;
    //Set the timeout length as needed for your application (default 500 ms).
    // The doCheckPopupBlocked function returns a boolean value true means it was blocked.
    setTimeout(function() {
        returnValue = doCheckPopupBlocked(poppedWindow);
        //spin until the function returns a value;
        while (!exists(returnValue)) {
            var tt = 0;
        }
        //Customize this code to do what you need it to do.
        //In this example we are hiding an object named buttons,
        //and showing and object named popupMsg when the popup test fails
        if (returnValue) {
            ShowHide("buttons", 'hide');
            ShowHide("popupMsg", 'show');
        }
        //If the popup test passed and the window exists and isn't closed, close it.
        else
            if (poppedWindow && !poppedWindow.closed)
            poppedWindow.close();
    }, 500);
}